(in-package :visu-smots)

(defun display-language (language &key (prefix "Current "))
  (when language 
    (format *language-pane* "~A" prefix)
    (write-language language *language-pane*)))

(defun display-problem (problem &key (prefix "Current "))
  (when problem
    (format *problem-pane* "~A" prefix)
    (write-problem problem *problem-pane*)
    (unless *problem-pane*
      (scroll-extent *problem-pane* 0 0))))

(defun display-lexpr (lexpr &key (prefix "Current "))
  (when lexpr
    (format *lexpr-pane* "~A" prefix)
    (write-lexpr lexpr *lexpr-pane*))
    (unless *lexpr-pane*
      (scroll-extent *lexpr-pane* 0 0)))
  
(defun display-sword (sword &key (prefix "Current "))
  (when sword
    (format *sword-pane* "~A" prefix)
    (write-sword sword *sword-pane*)))

