(in-package :smots)

(defclass bool-mixin () ())

(defmethod clean-args :after ((lexpr bool-mixin))
;;  (format *error-output* "clean-args :after bool-mixin ~A~%" lexpr)
  (setf (args lexpr)
	(remove-duplicates (args lexpr) :test #'compare-language))
  lexpr)

(defmethod cut-extreme-letter ((lexpr bool-mixin)
				(letter abstract-letter)
				&optional (last nil))
  (format *error-output* " cut-extreme-letter bool ~%")
  (let ((args (cut-extreme-letter (args lexpr) letter last)))
    (unless (some #'null args)
      (and args (make-op-lexpr args (class-of lexpr))))))


(defmethod ljoin ((lexpr1 bool-mixin) (lexpr2 alanguage))
  (format *error-output* "ljoin bool-mixin alanguage ~%")
  (make-op-lexpr 
	  (mapcar #'(lambda (arg)
		      (ljoin arg lexpr2))
		  (args lexpr1))
	  (class-of lexpr1)))
  
(defmethod ljoin ((lexpr1 alanguage) (lexpr2 bool-mixin))
;;  (format *error-output* "ljoin alanguage bool-mixin ~%")
  (ljoin lexpr2 lexpr1))

