(in-package :smots)

(defgeneric delanoyp (alanguage malphabet)
  (:documentation "does ALANGUAGE represent a delanoys language"))

(defmethod delanoyp ((language language) (alpha alphabet))
  (let ((dw (delanoy-word alpha)))
    (and (< (weight dw) 5)
	 (equivalent (compute-language dw) language))))

(defgeneric delanoy-word (alphabet)
  (:documentation "build a delanoy word from ALPHABET"))

(defmethod delanoy-word ((alphabet alphabet))
  (make-sword (mappend #'letters (delanoy-args alphabet))))

(defmethod delanoyp ((alanguage alanguage) (alpha alphabet))
  nil)

