(defparameter *cs* (constraints (problem *spec*)))
(time (defparameter *pb* (ljoin (nth 0 *cs*) (nth 1 *cs*))))
(ljoin *pb* (nth 2 *cs*))

(defparameter *malpha1* (malphabet-of *e1*))
(defparameter *malpha2* (malphabet-of *e2*))
(defparameter *alpha1* (alphabet-of *e1*))
(defparameter *alpha2* (alphabet-of *e2*))
(defparameter *alphai* (aintersection *alpha1* *alpha2*))
(defparameter *ex1*
  (mix-with-mletters *e1* (aset-difference *alpha2* *alpha1*) *malpha2*))
(defparameter *ex2*
  (mix-with-mletters *e2* (aset-difference *alpha1* *alpha2*) *malpha1*))

(defparameter *fsls1* (first-letters *ex1*))
(defparameter *fsls2* (first-letters *ex2*))
(defparameter *ifsls* (intersection *fsls1* *fsls2*))

(defparameter *sletter* (car *ifsls*))
(setf *e1* (cut-extreme-letter *ex1* *sletter*))

(defparameter *ex1* (input-lexpr "(([{a,b,e}] . ([{a}{b}] X [{e}])) J ((([{a}] X [{c}]) . [{a}{c}{d}{d}]) U (([{a}] X [{c}]) . [{a,c}{d}{d}])) J ([{b}{b,d,f}] . ([{f}] X [{d}])))"))
(defparameter *sletter* (input-slettter "{c}"))
