(in-package :smots)

(defgeneric words-generic (words1 words2 fun)
  (:documentation "fun of WORDS1 and WORDS2"))

(defgeneric words-generic-bool (words1 words2 boolfun)
  (:documentation "boolfun of WORDS1 and WORDS2"))

(defgeneric words (language)
  (:documentation "the set of words of LANGUAGE"))

(defmethod words-generic ((words1 list) (words2 list) fun)
;;  (remove-if #'empty-wordp FAUT-IL METTRE UN REMOVE-IF EMPTY-LANGUAGE??
  (mappend (lambda (word1)
	     (mappend (lambda (word2)
			(words (funcall fun  word1 word2)))
		      words2))
	   words1))
;;)

(defmethod words-generic-bool ((words1 list) (words2 list) boolfun)
  (funcall boolfun words1 words2 :test #'eq))
;;; peut-etre test equalp?

